const path = require("path");

module.exports = {
  publicPath: "./",
  devServer: {
    host: "0.0.0.0",
    port: "",
    disableHostCheck: true,    // 关闭主机头检测
    proxy: {
      "/api334343": {
        // target: "http://mem.360lj.com/ueapi1", // 目标 API 地址 富勇电脑
        target: "http://ue.360lj.com", // 目标 API 地址 富勇电脑
        ws: true,
        changeOrigin: true, // 是否跨域
        pathRewrite: {
          "^/api": "/api"
        }
      },
      "/ymall": {
        // target: "http://mem.360lj.com:7001", // 医生注册Java接口
        target: "http://mem.360lj.com", // 医生注册Java接口
        ws: true,
        changeOrigin: true, // 是否跨域
        pathRewrite: {
          "^/ymall": "/ymall"
        }
      },
      "/note": {
        // target: "http://mem.360lj.com:7001", // 医生注册Java接口
        target: "http://mem.360lj.com", // 医生注册Java接口
        ws: true,
        changeOrigin: true, // 是否跨域
        pathRewrite: {
          "^/note": "/note"
        }
      }
    },

    overlay: {
      warnings: false,
      errors: false,
      lintOnSave: false
    }
  }
};